module Flubber
  module ApiToken
    API_TOKEN_LOCATION = "#{ENV["HOME"]}/.flubber"

    def self.set(api_token)
      File.open(API_TOKEN_LOCATION, "w") do |file|
        file.puts "#{api_token}"
      end
    end

    def self.get
      return unless api_token_exists?
      file = File.open(API_TOKEN_LOCATION)
      api_token = file.readlines[0].chomp
      file.close
      api_token
    end

    def self.api_token_exists?
      File.exists?(API_TOKEN_LOCATION)
    end
  end
end
